PGAEncodeIntegerAsBinary(1)

NAME
PGAEncodeIntegerAsBinary - encodes an integer value as a binary string

INPUT PARAMETERS
ctx - context variable
p   - string index
pop - symbolic constant of the population the string is in
start
    - starting bit position in p to encode val in
end - ending bit position in p to encode val in
val - the integer value to be represented as a binary string

OUTPUT PARAMETERS
side
    -effect.

SYNOPSIS
#include "pgapack.h"
void  PGAEncodeIntegerAsBinary(ctx, p, pop, start, end, val)
PGAContext *ctx
int p
int pop
int start
int end
int val

LOCATION
evaluate.c

EXAMPLE
Encode an integer v in 20 bits in bit positions 0--19 in string p
in population PGA_NEWPOP.

PGAContext *ctx;
int v, p;
:
PGAEncodeIntegerAsBinary(ctx, p, PGA_NEWPOP, 0, 19, v);